People's United Bank

Technical Support

The Technical Support subtopics provide answers and support for issues you may be experiencing with your web browsers or PC while using People's United Online Banking.

Getting Started

Getting StartedTechnical Information about Online Banking OS and Browser Requirements
Which operating system and browser should I use for online banking?

As of June 19, 2016, the browsers and operating systems that meet security and application requirements for the People's United Online Banking System are as follows:

Operating System Microsoft Internet Explorer® Microsoft Edge® Apple Safari® Mozilla Firefox®
 
Google Chrome®
Windows® 7 11.0 N/A N/A 45.0 50.0
Windows® 8.1 11.0 N/A N/A 45.0 50.0
Windows® 10 11.0 EDGE N/A 45.0 50.0
MAC OS X 10.10 (Yosemite™) N/A 9.0 45.0 N/A
MAC OS X 10.11 (El Capitan™) N/A 9.0 45.0 N/A
iPad® N/A 8.0 N/A N/A
iPad® mini N/A 7.1 N/A N/A


Note: Cookies and JavaScript must be enabled. Sun Java Runtime Environment 1.7.0_51, JRE 1.8.0_60

Please Note: Other browsers and operating systems may be used; however, they are not supported by the system and some features may not function properly. For maximum security, you should always use the latest version of one of the supported browsers listed above. Beta versions of browsers and operating systems are not recommended or supported. Additionally, if a browser or operating system is no longer supported by the vendor, it is not supported by People's United Bank Online.

I am having trouble using Safari, what can I do?

If you are using Safari and are consistently experiencing issues inputting your username, password, or editing any of your user information, it may be due to a known issue for Mac users with the Safari Internet browser, version 2.0.4.

Customers using this browser may experience difficulty typing user information directly into web site forms. The issue is not limited to People's United Bank and is known to affect other popular web sites (such as Google's Gmail and Calendar). Future updates to the Safari browser should correct this issue. In the meantime, we recommend that customers using a Mac download and use the Firefox browser.

Download the Firefox browser here.

Discussions about this issue can be found on Apple's support forums.

What are these pop-up ads?

Be assured that People's United is not responsible for the pop-up ads you may be getting. What you are likely experiencing is a result of adware or spyware that has been installed on your computer without your knowledge.

These programs are installed to serve ads based on surfing activity, possibly relating to web sites you may have visited. Unfortunately, the companies that sponsor these tactics have incentives to serve as many ads as possible.

If this has affected your computer, there are tools to help you. Start with a pop up blocker that will stop many of these annoying ads. One internet site that can offer solutions and further information for removing adware is CNet.

Bill Pay

Bill PayTechnical requirements for Bill Pay Operating System and Browser
What are the Operating System and Browser Requirements for Bill Pay?

As of June 19, 2016, the browsers and operating systems that meet security and application requirements for the People's United Online Banking System are as follows:

Operating System Microsoft Internet Explorer® Microsoft Edge® Apple Safari® Mozilla Firefox® Google Chrome®
Windows® 7 SP1 11.0 N/A N/A 45.0 50.0
Windows® 8.1 11.0 N/A N/A 45.0 50.0
Windows® 10 11.0 EDGE N/A 45.0 50.0
MAC OS X 10.10 (Yosemite™) N/A N/A 9.1 45.0 N/A
MAC OS X 10.11 (El Capitan™) N/A N/A 9.1 45.0 N/A
iPad® N/A 9.3 N/A N/A
iPad® mini N/A N/A 9.3 N/A N/A

Note: Cookies and JavaScript must be enabled. Sun Java Runtime Environment 1.7.0_51, JRE 1.8.0_60

Please Note: For maximum security, you should always use the latest version of one of the supported browsers listed above. Beta versions of browsers and operating systems are not recommended or supported.



VGPRDMW9